#ifndef BTree
#define BTree
#include <db.h>
#define BLOCK_LOCALE	2000

typedef struct {
	uint32_t von;
	uint32_t bis;
	uint32_t stat;	// 0=Not Fetched 1 ... 1000 In Progress 2000=Fetched (only 2000 saved on file)
	off_t	 disk;
	time_t	 since;
	} dtype;
int         compareBtree (DB *db, const DBT *A, const DBT *B);
DB          *  initBtree (const char *name);

// void         updateBtree (DB *db, const dtype *d);
void         deleteBtree (DB *db, const dtype *d);
void          closeBtree (DB *db);
void	       loadBtree (DB *db, int fd,off_t offset,uint32_t size);
//void         changeBtree (DB *db, const dtype *x);
void 	     Print_range (DB *db);

int	    Change_range (DB *db, dtype &n);

const dtype *  nextBtree (DB *db, bool first);
unsigned      countBtree (DB *db);
const dtype *  Btree_greater_equal (DB *db, uint32_t von, int code);
// vim:fdm=marker
#endif
